## stacks 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -25,21 +25,21 @@
 Depends: R (>= 2.10)
 Imports: tune (>= 0.1.2.9000), dplyr (>= 1.0.0), rlang (>= 0.4.0),
         tibble (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4),
-        workflows (>= 0.2.1.9000), recipes (>= 0.1.15), rsample (>=
-        0.0.9), workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3),
-        yardstick, tidyr, dials, glue, ggplot2, glmnet, cli, stats,
-        foreach, generics
-Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown,
-        palmerpenguins, ranger, nnet, kknn
+        workflows (>= 0.2.2), recipes (>= 0.1.15), rsample (>= 0.0.9),
+        workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3), yardstick,
+        tidyr, dials, glue, ggplot2, glmnet, cli, stats, foreach,
+        generics
+Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown, ranger,
+        nnet, kknn
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1.9001
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-04-20 16:46:46 UTC; simonpcouch
+Packaged: 2021-07-22 22:53:18 UTC; simonpcouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-04-20 23:00:03 UTC
+Date/Publication: 2021-07-23 16:20:02 UTC
