## stacks 0.2.3

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 0.2.3
Authors@R: c(
    person(given = "Simon",
           family = "Couch",
           role = c("aut", "cre"),
           email = "simonpatrickcouch@gmail.com"),
    person(given = "Max", 
           family = "Kuhn", 
           email = "max@rstudio.com", 
           role = "aut"),
    person("RStudio", 
           role = c("cph", "fnd"))
    )
Description: Model stacking is an ensemble technique
    that involves training a model to combine the outputs of many 
    diverse statistical models, and has been shown to improve 
    predictive performance in a variety of settings. 'stacks' 
    implements a grammar for 'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 2.10)
Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
        0.2.3), recipes (>= 0.1.15), rsample (>= 0.1.1), workflowsets
        (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, glue,
        ggplot2, glmnet, cli, stats, foreach
Suggests: testthat (>= 3.0.0), covr, kknn, ranger, knitr, modeldata,
        rmarkdown, nnet, kernlab, mockr, h2o, SuperLearner
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-05-12 22:49:41 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  RStudio [cph, fnd]
Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
Repository: CRAN
Date/Publication: 2022-05-12 23:10:02 UTC
