## stacks 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -24,7 +24,7 @@
 BugReports: https://github.com/tidymodels/stacks/issues
 Depends: R (>= 2.10)
 Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
-        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
+        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 1.0.2), workflows (>=
         0.2.3), recipes (>= 0.2.0), rsample (>= 0.1.1), workflowsets
         (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, glue,
         ggplot2, glmnet, cli, stats, foreach
@@ -33,14 +33,14 @@
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-07-06 19:49:24 UTC; simoncouch
+Packaged: 2022-12-14 15:19:27 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph, fnd]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-07-06 20:10:03 UTC
+Date/Publication: 2022-12-14 16:20:02 UTC
