## stacks 1.0.2

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 1.0.2
Authors@R: c(
    person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Model stacking is an ensemble technique that involves
    training a model to combine the outputs of many diverse statistical
    models, and has been shown to improve predictive performance in a
    variety of settings. 'stacks' implements a grammar for
    'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 3.5)
Imports: butcher (>= 0.1.3), cli, dplyr (>= 1.1.0), foreach, generics,
        ggplot2, glmnet, glue, parsnip (>= 1.0.2), purrr (>= 1.0.0),
        recipes (>= 0.2.0), rlang (>= 0.4.0), rsample (>= 0.1.1),
        stats, tibble (>= 2.1.3), tidyr, tune (>= 0.1.3), vctrs (>=
        0.6.1), workflows (>= 0.2.3), yardstick (>= 1.1.0)
Suggests: covr, h2o, kernlab, kknn, knitr, mockr, modeldata, nnet,
        ranger, rmarkdown, SuperLearner, testthat (>= 3.0.0),
        workflowsets (>= 0.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-04-20 23:06:07 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Simon Couch <simon.couch@posit.co>
Repository: CRAN
Date/Publication: 2023-04-20 23:40:02 UTC
