## stacks 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.0.4
+Version: 1.0.5
 Authors@R: c(
     person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
@@ -31,10 +31,10 @@
 LazyData: true
 RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2024-03-21 17:54:31 UTC; simoncouch
+Packaged: 2024-07-22 21:38:58 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd]
 Maintainer: Simon Couch <simon.couch@posit.co>
 Repository: CRAN
-Date/Publication: 2024-03-21 18:30:02 UTC
+Date/Publication: 2024-07-22 21:50:02 UTC
