## stacks 1.1.0

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 1.1.0
Authors@R: c(
    person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Model stacking is an ensemble technique that involves
    training a model to combine the outputs of many diverse statistical
    models, and has been shown to improve predictive performance in a
    variety of settings. 'stacks' implements a grammar for
    'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 4.1)
Imports: butcher (>= 0.1.3), cli, dplyr (>= 1.1.0), foreach, furrr,
        future, generics, ggplot2, glmnet, glue, parsnip (>= 1.2.0),
        purrr (>= 1.0.0), recipes (>= 1.0.10), rlang (>= 1.1.0),
        rsample (>= 1.2.0), stats, tibble (>= 2.1.3), tidyr, tune (>=
        1.2.0), vctrs (>= 0.6.1), workflows (>= 1.1.4)
Suggests: covr, h2o, kernlab, kknn, knitr, modeldata, nnet, ranger,
        rmarkdown, testthat (>= 3.0.0), workflowsets (>= 0.1.0),
        yardstick (>= 1.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-25
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-05-02 14:20:35 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Simon Couch <simon.couch@posit.co>
Repository: CRAN
Date/Publication: 2025-05-02 14:50:02 UTC
