## stacks 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
     person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
@@ -33,10 +33,10 @@
 LazyData: true
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-05-02 14:20:35 UTC; simoncouch
+Packaged: 2025-05-27 19:41:38 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
 Maintainer: Simon Couch <simon.couch@posit.co>
 Repository: CRAN
-Date/Publication: 2025-05-02 14:50:02 UTC
+Date/Publication: 2025-05-27 20:00:02 UTC
