## stacks 1.34

=== debian/changelog ===
stacks (1.34-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 17:58:43 +0200

stacks (1.32-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2015 19:52:06 +0200

stacks (1.25-1) unstable; urgency=medium

  * Initial upload to Debian
    Closes: #778832

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2015 18:31:48 +0100

stacks (1.25-0biolinux2) trusty; urgency=medium

  * Correct silly cut-and-paste-o in control file

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 19 Feb 2015 16:52:53 +0000

stacks (1.25-0biolinux1) trusty; urgency=medium

  * New upstream
  * Re-work stacks-setup-database to make databases named by project
  * ...and to enable database deletion
  * Improve the help you get from "stacks help"

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 18 Feb 2015 11:34:22 +0000

stacks (1.24-0ubuntu4) trusty; urgency=medium

  * Change web path back to /stacks rather than stacks-web,
    just leaving the Apache config fragment with that name.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 29 Jan 2015 11:06:58 +0000

stacks (1.24-0ubuntu3) trusty; urgency=low

  * Set PATH before calling any Stacks program in the wrapper

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 23 Jan 2015 14:10:55 +0000

stacks (1.24-0ubuntu2) trusty; urgency=medium

  * Initial release.
  * Make stacks package plus stack-web for the web stuff
  * Require sparsehash >2

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Jan 2015 18:50:45 +0000
