=== debian/control ===
Source: stacks
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9), zlib1g-dev, libbam-dev, libsparsehash-dev (>= 2.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/stacks/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/stacks/trunk/
Homepage: http://creskolab.uoregon.edu/stacks/

Package: stacks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools,
         libdbi-perl
Recommends: libspreadsheet-writeexcel-perl
Description: pipeline for building loci from short-read DNA sequences
 Stacks is a software pipeline for building loci from short-read sequences,
 such as those generated on the Illumina platform. Stacks was developed to work
 with restriction enzyme-based data, such as RAD-seq, for the purpose of
 building genetic maps and conducting population genomics and phylogeography.
 .
 Note that this package installs Stacks such that all commands must be run as:
 $ stacks <cmdname> <args>

Package: stacks-web
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2 | httpd,
         mysql-server,
         libapache2-mod-php5 | php5-cgi,
         libdbd-mysql-perl,
         php-mdb2-driver-mysql
Recommends: stacks
Description: web interface for displaying loci from short-read sequences
 Stacks is a software pipeline for building loci from short-read sequences,
 such as those generated on the Illumina platform. Stacks was developed to work
 with restriction enzyme-based data, such as RAD-seq, for the purpose of
 building genetic maps and conducting population genomics and phylogeography.
 .
 This package provides the web-based viewer which you can use to examine Stacks
 output that has been loaded into a MySQL database.
