## stacks 1.35

=== debian/changelog ===
stacks (1.35-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565888).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 09:51:41 -0700

stacks (1.35-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 21:05:58 +0200
