=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: stacks
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -32,7 +33,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php5 | php5-cgi,
+         libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks
