=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-([0-9.]+).tar.[gzb2x]+
