## stacks 1.37

=== debian/changelog ===
stacks (1.37-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Apr 2016 08:43:15 +0200

stacks (1.37-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:31:22 +0100
