=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: stacks
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9), zlib1g-dev, libbam-dev, libsparsehash-dev (>= 2.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/stacks/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/stacks/trunk/
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               libbam-dev,
+               libsparsehash-dev (>= 2.0)
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
 
 Package: stacks
@@ -33,7 +35,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php | php-cgi,
+         libapache2-mod-php5 | php5-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks
