## stacks 1.38

=== debian/changelog ===
stacks (1.38-1) unstable; urgency=medium

  * New upstream version
  * debian/control: s/php5/php/
    Closes: #821664
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Tue, 19 Apr 2016 10:45:21 +0200
