=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php5 | php5-cgi,
+         libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks
