=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE=1
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
