## stacks 1.42

=== debian/changelog ===
stacks (1.42-1) unstable; urgency=medium

  * New upstream version
  * hardening -pie

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2016 10:49:42 +0200

stacks (1.40-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Build-Depends: samtools to ensure that package builds only on those
    architectures where samtools is available

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 12:55:47 +0200
