=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               python,
                zlib1g-dev,
                libbam-dev,
-               libsparsehash-dev (>= 2.0)
-Standards-Version: 3.9.7
+               libsparsehash-dev (>= 2.0),
+               samtools
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
@@ -17,6 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${python:Depends},
          samtools,
          libdbi-perl
 Recommends: libspreadsheet-writeexcel-perl
