## stacks 1.44

=== debian/changelog ===
stacks (1.44-2) unstable; urgency=medium

  * d/watch: version=4
  * debhelper 10
  * stacks-web: Depends s/ | mysql-server/ | virtual-mysql-server/
    Closes: #848464

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 17:34:44 +0100

stacks (1.44-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix script executable paths to reflect debian install directory

  [ Andreas Tille ]
  * New upstream version
  * stacks-web Depends: default-mysql-server | mysql-server

 -- Andreas Tille <tille@debian.org>  Sat, 22 Oct 2016 21:04:24 +0200
