=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python,
                zlib1g-dev,
                libbam-dev,
@@ -37,7 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          apache2 | httpd,
-         mysql-server,
+         default-mysql-server | virtual-mysql-server,
          libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
