=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 %:
-	dh $@
+	dh $@ --with python2
 
 # override_dh_auto_install:
 # 	dh_auto_install --destdir=debian/tmp
