=== debian/changelog ===
stacks (1.46-1build1) artful; urgency=medium

  * Rebuild against new samtools.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:42:50 +0200

stacks (1.46-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)
  * do not disable PIE
    Closes: #865668
  * d/rules: use DEB_SOURCE

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2017 08:20:24 +0200
