=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libbam-dev,
                libsparsehash-dev (>= 2.0),
                samtools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
