=== debian/watch ===
version=4

http://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-([0-9.]+).tar.[gzb2x]+
