## stacks 2.0Beta8c%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@ --with python2
@@ -23,7 +22,7 @@
 	cp php/constants.php.dist ./constants.php
 	dh_install
 	# Skip this bit if not building stacks
-	! cd debian/$(pkg)/usr/lib/$(pkg)/bin || \
+	! cd debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin || \
 	  for f in *.pl ; do \
 	    ln -s "$$f" "`basename $$f .pl`" ; \
 	  done
@@ -38,10 +37,10 @@
 
 override_dh_link:
 	dh_link
-	mkdir -p debian/$(pkg)/usr/lib/debian-med/bin
-	cd debian/$(pkg)/usr/lib/debian-med/bin && \
-	for f in `ls $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/bin` ; do \
-	    ln -s ../../$(pkg)/bin/$$f ; \
+	mkdir -p debian/$(DEB_SOURCE)/usr/lib/debian-med/bin
+	cd debian/$(DEB_SOURCE)/usr/lib/debian-med/bin && \
+	for f in `ls $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin` ; do \
+	    ln -s ../../$(DEB_SOURCE)/bin/$$f ; \
 	done
 
 override_dh_auto_test:
