## stacks 2.0Beta8c+dfsg

=== debian/changelog ===
stacks (2.0Beta8c+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove code copy of htslib and use Debian packaged version of htslib
    instead
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 17:15:06 +0100
