=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                python,
                zlib1g-dev,
                libbam-dev,
                libsparsehash-dev (>= 2.0),
-               samtools
-Standards-Version: 4.0.0
+               samtools,
+               libhts-dev
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
