=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-(\d[0-9.Betac]+).tar.[gzb2x]+
