## stacks 2.0Beta9+dfsg

=== debian/changelog ===
stacks (2.0Beta9+dfsg-1) unstable; urgency=medium

  * New upstream Beta release

 -- Andreas Tille <tille@debian.org>  Mon, 19 Mar 2018 12:10:23 +0100
