## stacks 2.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	! cd debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin || \
 	  for f in *.pl ; do \
 	    ln -s "$$f" "`basename $$f .pl`" ; \
+	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $$f ; \
 	  done
 	# Skip this bit if not building stacks-web
 	# Note - directory perms will be set in postinst
