## stacks 2.2+dfsg

=== debian/changelog ===
stacks (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix path for Perl interpreter

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 09:51:56 +0200
