=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libsparsehash-dev (>= 2.0),
                samtools,
                libhts-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/stacks
+Vcs-Git: https://salsa.debian.org/med-team/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
 
 Package: stacks
